#version 140

in vec3 vertex;
in vec2 tex_coords;

uniform mat4 perspective;
uniform mat4 view;

out vec2 v_tex_coords;

void main() {
    v_tex_coords = tex_coords;
    gl_Position = perspective * view * vec4(vertex, 1.0);
}
